package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Document_uploadRepository;
import com.realnet.basicp1.Entity.Document_upload
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class Document_uploadService {
@Autowired
private Document_uploadRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Document_upload Savedata(Document_upload data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Document_upload save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Document_upload> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Document_upload> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Document_upload> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Document_upload getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Document_upload update(Document_upload data,Integer id) {
	Document_upload old = Repository.findById(id).get();
 

 

final Document_upload test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
